### Method

# Fwupd Device has_request_flag

since: 1.9.10

#### Declaration [src]

    gboolean
    fwupd_device_has_request_flag (
      FwupdDevice* self,
      FwupdRequestFlags request_flag
    )

#### Description [src]

Finds if the device has a specific device request flag.

Available since: 1.9.10

#### Parameters

`request_flag`

  Type: `FwupdRequestFlags`

  The `FwupdRequestFlags`.

#### Return value

Type: `gboolean`

`TRUE` if the request_flag is set.